{% extends 'main/layout.html' %}
{% load static %}

{% block title %}
    {{ film.name }}
{% endblock %}

{% block main %}

<div class="film">
    <img src="{% static film.img %}" alt="{{ film.name }}" class="film__img">
    <h1 class="film__title">{{ film.name }}</h1>
    <h2 class="film__title film__title--small">Режиссеры</h2>
    <ul class="film__list">
        {% for person in persons %}
            {% if person.group == 'director' %}
                <li class="film__item">
                    <a href="{% url 'person' personurl=person.url %}" class="film__link" aria-label="{{ person.name }}">{{ person.name }}</a>
                </li>
            {% endif %}
        {% endfor %}
    </ul>
    <h2 class="film__title film__title--small">Актеры</h2>
    <ul class="film__list">
        {% for person in persons %}
            {% if person.group == 'actor' %}
                <li class="film__item">
                    <a href="{% url 'person' personurl=person.url %}" class="film__link" aria-label="{{ person.name }}">{{ person.name }}</a>
                </li>
            {% endif %}
        {% endfor %}
    </ul>
    <h2 class="film__title film__title--small">Описание</h2>
    <p class="film__description">{{ film.discription }}</p>
    <h2 class="grades__title">Оценки критиков</h2>
    <h3 class="grades__title">Оставить свою оценку</h3>
    <form action="{% url 'gradeslist' filmurl=film.url %}" class="grades__form" method="post">
        {% csrf_token %}
        <input class="grades__input uk-input" id="user_id" name="user_id" value="{{ request.user.id }}" type="hidden">
        <label for="film_name" class="grades__label">Фильм</label>
        <input class="grades__input uk-input" id="film_name" name="film_name" value="{{ film.name }}" readonly>
        <label for="title" class="grades__label">Заголовок</label>
        <input class="grades__input uk-input" id="title" name="title">
        <label for="num" class="grades__label">Оценка</label>
        <select class="grades__input uk-select" id="num" name="num">
            <option selected value="1" class="grades__option">1</option>
            <option value="2" class="grades__option">2</option>
            <option value="3" class="grades__option">3</option>
            <option value="4" class="grades__option">4</option>
            <option value="5" class="grades__option">5</option>
        </select>
        <label for="description" class="grades__label">Описание</label>
        <textarea name="description" id="description" cols="30" rows="10" class="grades__input uk-textarea"></textarea>
        <button class="grades__button" type="submit" aria-label="Отправить">Отправить</button>
    </form>
    {% for grade in grades %}
        <div class="grade__card">
            <h4 class="grade__title">{{ grade.title }}</h4>
            <h4 class="grade__title">Оценка - {{ grade.num }}</h4>
            <p class="grade__desc">{{ grade.description }}</p>
            <a href="/deletegrade/{{ film.url }}/{{ grade.id }}" class="grade__link grade__link--red uk-button uk-button-default">Удалить</a>
        </div>
    {% endfor %}
</div>

{% endblock %}